Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class ViewRegistry

    java.lang.Object
      ru.biosoft.workbench.ViewRegistry

public class ViewRegistry
extends java.lang.Object

Registry for view descriptors.

Pendung:
  category support

Nested Class Summary
`protected class` | `ViewRegistry.ViewRegistryReader`

Field Summary
`static java.lang.String` | `CLASS_ATTR`
`static java.lang.String` | `ICON_ATTR`
`static java.lang.String` | `ID_ATTR`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `NAME_ATTR`
`static java.lang.String` | `VIEW_ELEMENT`
`protected java.util.ArrayList` | `viewList`
`static java.lang.String` | `VIEWS_EXTENSION_POINT`

Constructor Summary
`ViewRegistry()`

Method Summary
`void` | `add(ViewDescriptor descriptor)`
`ViewDescriptor` | `get(java.lang.String id)`
`ViewDescriptor[]` | `getViews()`
`void` | `remove(ViewDescriptor descriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### viewList

    protected java.util.ArrayList viewList

### VIEWS_EXTENSION_POINT

    public static java.lang.String VIEWS_EXTENSION_POINT

### VIEW_ELEMENT

    public static java.lang.String VIEW_ELEMENT

### ID_ATTR

    public static java.lang.String ID_ATTR

### NAME_ATTR

    public static java.lang.String NAME_ATTR

### CLASS_ATTR

    public static java.lang.String CLASS_ATTR

### ICON_ATTR

    public static java.lang.String ICON_ATTR

Constructor Detail

### ViewRegistry

    public ViewRegistry()

Method Detail

### add

    public void add(ViewDescriptor descriptor)

### remove

    public void remove(ViewDescriptor descriptor)

### get

    public ViewDescriptor get(java.lang.String id)

### getViews

    public ViewDescriptor[] getViews()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.